Subject: Re: bug#78983: 30.1; Strange reference to "Emacs 10.31" in fileio.c

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Jul 2025 16:19:01 +0300

> From: Ulrich Müller <[email-masked]>
> Cc: Ulrich Müller <[email-masked]>,  [email-masked]
> Date: Thu, 10 Jul 2025 12:38:16 +0200
> 
> >>>>> On Thu, 10 Jul 2025, Eli Zaretskii wrote:
> 
> > Anyway, I don't think 10.31 is a mistake.  I think I asked Richard
> > back then.  In particular, the initial commit of fileio.c into CVS,
> > from Apr 10, 1991 (which is _before_ the time stamp of fileio.c in
> > Emacs 18.59) already has this #ifdef'ed-away version, even though
> > Emacs 18.59's version of fileio.c does not.  So there's more here than
> > meets the eye.
> 
> I've now compared the #if-0-ed code from the initial version in git
> (commit 570d76241f16 from 1991-04-10) to the code in Emacs 18.52,
> 18.55, and 18.57. While none is a perfect match, 18.55 is close.
> Going back further in time (I've looked at 18.41 and 16.56), the
> differences become larger.
> 
> A telltale sign are also the "#ifdef VMS" code blocks (in the initial
> git commit; they were removed later). VMS support was added in Emacs 18,
> so these code blocks wouldn't be present in any earlier version.
> 
> So I still doubt that "version 10.31" theory.

I cannot remember why I wrote that, and couldn't find anything in my
email archives from back then to help me.  But it isn't a simple typo,
since neither 19.31 nor 18.31 nor 1.31 (if interpreted as the CVS
version of fileio.c) fit the bill (I checked them all).

> > I can suggest to remove the version from the text, if this nit is
> > really deemed important.  But I think we are splitting hair here.
> > I have just spent half an hour looking up old versions of fileio.c --
> > was that really worth it?
> 
> Sorry about that. Feel free to close this bug then.

Done, after removing the offending version number from that comment.

> (I thought it was a no-brainer but apparently it is more
> complicated.)

Not sure what you expected -- that when pointed to my commit I will
not try to understand why I wrote that, and just agree with you on the
spot that I made such a strange mistake by typing a non-trivial wrong
version number?  Is that what you would do in such a situation?